# File:           $RCSfile: synaptic.spec,v $
# Revision:       $Revision: 1.12 $
# Last change:    $Date: 2004/11/03 21:31:28 $

%define _datadir /opt/gnome/share

Summary:	Graphical package management program using apt
Name:		synaptic
Version:	0.55.3
Release:	%{suserel}3
License:	GPL
Group:		System/Packages
#Packager:	Richard Bos <rbos@users.sourceforge.net>
Source:		http://savannah.nongnu.org/download/synaptic/%{name}-%{version}.tar.gz
URL:		http://www.nongnu.org/synaptic/
Requires:	apt >= 0.5.15, gtk2, libglade2
Requires:	libstdc++ libzvt2 libart_lgpl
Requires:	scrollkeeper
BuildRequires:	apt-devel >= 0.5.15 rpm-devel >= 4.1 gtk2-devel libglade2-devel
BuildRequires:	libstdc++-devel libxml2-devel libglade2-devel libart_lgpl-devel
BuildRequires:	atk-devel pango-devel glib2-devel pkgconfig libzvt2-devel
BuildRequires:	XFree86-devel scrollkeeper gcc-c++ gettext
BuildRoot:	%{_tmppath}/making_of_%{name}-%{version}

%description
Synaptic is a graphical package management program for apt.

Synaptic enables you to install, upgrade and remove software packages in
a user friendly way.

Besides these basic functions the following features are provided:
 * Search and filter the list of available packages
 * Perform smart system upgrades
 * Fix broken package dependencies
 * Edit the list of used repositories (sources.list)
 * Download the latest changelog of a package
 * Configure packages through the debconf system
 * Browse all available documentation related to a package (dwww is required)

%prep
# %setup -n %{name}-0.50
%setup

%build
# install -m 644 %{SOURCE1} data/%{name}.desktop

export CFLAGS
export LDFLAGS
export CPPFLAGS

%if "%{_arch}" == "x86_64"
CFLAGS=$CFLAGS"-O2 -fPIC"
LDFLAGS=$LDFLAGS"-L/usr/lib64"
CPPFLAGS="-I/usr/include/g++/x86_64-suse-linux"
%else
CFLAGS=-O2
CPPFLAGS="-I/usr/include/g++/i586-suse-linux -I/usr/include"
%endif

./configure	\
  --with-pkg-hold	\
  --with-zvt 		\
  --prefix=%{_prefix}	\
  --mandir=%{_mandir}	\
  --datadir=%{_datadir}	\
  --libdir=%{_libdir}	\
  --includedir=%{_includedir} \
  --sysconfdir=%{_sysconfdir} \
  --enable-docdir=%{_defaultdocdir} 
make

%install
make DESTDIR=%{buildroot} install
install -d -m 755 %{buildroot}/opt/kde3/share/applnk/System/More
sed 's/gksu -u root/kdesu -c/;
     s/^Categories=.*/Categories=Qt;KDE;System;System;PackageManager/' \
     data/%{name}.desktop > %{buildroot}/opt/kde3/share/applnk/System/More/synaptic.desktop
# locales must be located in /usr/share otherwise synaptic does not pick them up
mv %{buildroot}%{_datadir}/locale %{buildroot}%{_prefix}/share
rm -f %{buildroot}/etc/X11/sysconfig/synaptic.desktop

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q

%postun
scrollkeeper-update -q

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/gnome/help/%{name}
%{_mandir}/man8/%{name}.8*
/usr/share/locale/*/LC_MESSAGES/%{name}.mo
/opt/gnome/share/applications
/opt/kde3/share/applnk/System/More/%{name}.desktop
/opt/gnome/share/pixmaps/

%changelog
* Fri Mar 11 2005 Joe Morris <joe_morris@ntm.org>
- built for apt 0.5.15cnc7-20050311a
* Wed Nov 03 2004 Richard Bos <rbos@users.sourceforge.net>
- version 0.55
* Sun Aug 29 2004 Joe Morris <Joe_Morris@ntm.org>
- modified to build on x86_64

* Wed Aug 18 2004 Richard Bos <rbos@users.sourceforge.net>
- Update to version 0.53

* Tue Nov 18 2003 Richard Bos <rbos@users.sourceforge.net>
- Use /opt/gnome as for datadir
  However move the locate directory to /usr/share/
* Sat Jun 21 2003 Richard Bos <rbos@users.sourceforge.net>
- Updated to release 0.38
- Added CFLAGS=-O2 to prevent debug code to be added to the end product
  (per default -g is added to gcc) 

* Wed Jun 18 2003 Richard Bos <rbos@users.sourceforge.net>
- Updated to release 0.37

* Tue Jun 15 2003 Richard Bos <rbos@users.sourceforge.net>
- Initial release, version 0.36.1

